<?xml version="1.0" encoding="utf-8"?>
<openerp>

<data noupdate="0">
	
	<record id="base.group_hr_dept_head" model="res.groups">
        <field name="name">Department Head</field>
        <field name="category_id" ref="base.module_category_human_resources"/>
        <field name="implied_ids" eval="[(4, ref('base.group_user'))]"/>
        <field name="comment">the user will be able to approve document created by their employees.</field>
    </record>

	<record id="feosco_hr_employee_exit_rule_base_group_user" model="ir.rule">
        <field name="name">Employee's exit information rule employee</field>
        <field name="model_id" ref="model_feosco_hr_employee_exit"/>
        <field eval="False" name="global"/>
        <field name="domain_force">[('feosco_employee_id.user_id.id','=',user.id)]</field>
        <field name="groups" eval="[(4,ref('base.group_user'))]"/>
    </record>
    
    <record id="feosco_hr_employee_exit_rule_dept_head" model="ir.rule">
        <field name="name">Employee's exit information rule dept head</field>
        <field name="model_id" ref="model_feosco_hr_employee_exit"/>
        <field eval="False" name="global"/>
        <field name="domain_force">[('feosco_employee_id.department_id.manager_id.user_id.id','=',user.id)]</field>
        <field name="groups" eval="[(4,ref('base.group_hr_dept_head'))]"/>
    </record>
    
    <record id="feosco_hr_employee_exit_rule_hr" model="ir.rule">
        <field name="name">Employee's exit information hr rule</field>
        <field name="model_id" ref="model_feosco_hr_employee_exit"/>
        <field eval="False" name="global"/>
        <field name="domain_force">[(1,'=',1)]</field>
        <field name="groups" eval="[(4, ref('base.group_hr_user')),(4, ref('base.group_hr_manager'))]"/>
    </record>

		
</data>
</openerp>
